%define major 2
%define libname %mklibname jemalloc %{major}
%define develname %mklibname -d jemalloc

Summary:	General-purpose scalable concurrent malloc implementation
Name:		jemalloc
Version:	4.5.0
Release:	%mkrel 4
Group:		System/Libraries
License:	BSD
URL:		http://www.canonware.com/jemalloc/
Source0:	https://github.com/jemalloc/jemalloc/releases/download/%{version}/jemalloc-%{version}.tar.bz2
BuildRequires:	xsltproc

%description
General-purpose scalable concurrent malloc(3) implementation.
This distribution is the stand-alone "portable" implementation of %{name}.

%package -n	%{libname}
Summary:	General-purpose scalable concurrent malloc implementation
Group:		System/Libraries

%description -n	%{libname}
General-purpose scalable concurrent malloc(3) implementation.
This distribution is the stand-alone "portable" implementation of %{name}.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} >= %{version}-%{release}
Provides:	jemalloc-devel = %{version}-%{release}
Conflicts:	%{mklibname jemalloc 1}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep

%setup -q
%ifarch %arm
# This test will be disabled properly in next upstream version
# but not trivial to backport
sed -i '/test\/unit\/pages.c/d' Makefile*
%endif
%build
export LC_ALL=C
export CFLAGS="%{optflags} -std=gnu99"
%configure2_5x \
%ifarch %{arm}
	--disable-thp \
%endif

%make

%check
make check

%install

%makeinstall_std

# Install this with doc macro instead
rm %{buildroot}%{_datadir}/doc/%{name}/jemalloc.html

# None of these in fedora
find %{buildroot}%{_libdir}/ -name '*.a' -exec rm -vf {} ';'

%files -n %{libname}
%doc COPYING README VERSION
%doc doc/jemalloc.html
%{_libdir}/libjemalloc.so.%{major}*

%files -n %{develname}
%{_bindir}/jemalloc-config
%{_bindir}/jeprof
%{_bindir}/jemalloc.sh
%{_includedir}/jemalloc
%{_libdir}/libjemalloc.so
%{_mandir}/man3/jemalloc.3*
%{_libdir}/pkgconfig/jemalloc.pc


%changelog
* Wed Jun 28 2017 pterjan <pterjan> 4.5.0-4.mga6
+ Revision: 1108615
- Disable on arm a test that should be skipped

* Sat May 27 2017 neoclust <neoclust> 4.5.0-3.mga6
+ Revision: 1105123
- Rebuilf for ARM

* Tue May 23 2017 luigiwalser <luigiwalser> 4.5.0-2.mga6
+ Revision: 1104267
- try to fix build on ARM

* Tue May 23 2017 luigiwalser <luigiwalser> 4.5.0-1.mga6
+ Revision: 1104154
- 4.5.0

* Sun Jan 01 2017 luigiwalser <luigiwalser> 4.4.0-1.mga6
+ Revision: 1078963
- 4.4.0

* Thu Aug 11 2016 luigiwalser <luigiwalser> 4.2.1-1.mga6
+ Revision: 1045495
- 4.2.1

* Wed May 25 2016 luigiwalser <luigiwalser> 4.2.0-1.mga6
+ Revision: 1018475
- 4.2.0

* Tue May 10 2016 luigiwalser <luigiwalser> 4.1.1-1.mga6
+ Revision: 1012076
- 4.1.1
- 4.1.0

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Nov 20 2015 oden <oden> 4.0.4-2.mga6
+ Revision: 904514
- move jemalloc.sh into the dev sub package

* Mon Nov 16 2015 oden <oden> 4.0.4-1.mga6
+ Revision: 903578
- add files
- 4.0.4

* Wed Oct 15 2014 umeabot <umeabot> 3.6.0-2.mga5
+ Revision: 742739
- Second Mageia 5 Mass Rebuild

* Sun Oct 05 2014 alien <alien> 3.6.0-1.mga5
+ Revision: 736963
- Update to 3.6.0

* Tue Sep 16 2014 umeabot <umeabot> 3.5.0-2.mga5
+ Revision: 680767
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 oden <oden> 3.5.0-1.mga5
+ Revision: 581529
- fix build
- fedora import
- 3.5.0
- fix deps
- imported package jemalloc

